[Python-Dev] Compatibility between Python 2.3.x and Python 2.4.x

Phillip J. Eby pje at telecommunity.com
Fri Sep 16 00:09:36 CEST 2005

At 05:44 PM 9/15/2005 -0400, Raymond Hettinger wrote:
>[Neal Norwitz]
> > That shows the magic number changing.  You will need to read CVS logs
> > to figure out why.  It's possible the numbers don't really *need* to
> > change.
>The new LIST_APPEND opcode won't run on Py2.3.

The OP asked about upgrading existing 2.3 .pyc/.pyo files to 2.4, not 
downgrading to 2.3, so this doesn't affect them, except insofar as it means 
the magic number is different.

More information about the Python-Dev mailing list